#
# spec file for package rubygem-mini_portile2
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mini_portile2
Version:        2.8.7
Release:        1.3
%define mod_name mini_portile2
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.3.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/flavorjones/mini_portile
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple autoconf and cmake builder for developers
License:        MIT

%description
Simple autoconf and cmake builder for developers. It provides a standard way
to compile against
dependency libraries without requiring system-wide installation. It also
simplifies
vendoring and cross-compilation by providing a consistent build interface.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- ### 2.8.7 / 2024-05-31
  [#]### Added
- When setting the C compiler through the `MiniPortile` constructor, the preferred keyword argument is now `:cc_command`. The original `:gcc_command` is still supported. (#144 by @flavorjones)
- Add support for extracting xz-compressed tarballs on OpenBSD. (#141 by @postmodern)
- Add OpenBSD support to the experimental method `MakeMakefile#mkmf_config`. (#141 by @flavorjones)
  [#]### Changed
- `MiniPortileCMake` now detects the C and C++ compiler the same way `MiniPortile` does: by examining environment variables, then using kwargs, then looking in RbConfig (in that order). (#144 by @flavorjones)
- GPG file verification error messages are captured in the raised exception. Previously these errors went to `stderr`. (#145 by @flavorjones)
  [#]## 2.8.6 / 2024-04-14
  [#]### Added
- When using CMake on FreeBSD, default to clang's "cc" and "c++" compilers. (#139 by @mudge)
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- ### 2.8.5 / 2023-10-22
  [#]### Added
- New methods `#lib_path` and `#include_path` which point at the installed directories under `ports`. (by @flavorjones)
- Add config param for CMAKE_BUILD_TYPE, which now defaults to `Release`. (#136 by @Watson1978)
  [#]### Experimental
  Introduce experimental support for `MiniPortile#mkmf_config` which sets up MakeMakefile variables to properly link against the recipe. This should make it easier for C extensions to package third-party libraries. (by @flavorjones)
- With no arguments, will set up just `$INCFLAGS`, `$libs`, and `$LIBPATH`.
- Optionally, if provided a pkg-config file, will use that config to more precisely set `$INCFLAGS`, `$libs`, `$LIBPATH`, and `$CFLAGS`/`$CXXFLAGS`.
- Optionally, if provided the name of a static archive, will rewrite linker flags to ensure correct linkage.
  Note that the behavior may change slightly before official support is announced. Please comment on [#118](https://github.com/flavorjones/mini_portile/issues/118) if you have feedback.
* Tue Sep 26 2023 Paolo Perego <paolo.perego@suse.com>
- updated to version 2.8.4
    Various fixes to build system
* Mon Feb 21 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.8.0
  see installed CHANGELOG.md
  [#]## 2.8.0 / 2022-02-20
  [#]### Added
  - Support xz-compressed archives (recognized by an `.xz` file extension).
  - When downloading a source archive, default open_timeout and read_timeout to 10 seconds, but allow configuration via open_timeout and read_timeout config parameters.
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.7.1
  see installed CHANGELOG.md
  [#]## 2.7.1 / 2021-10-20
  [#]### Packaging
  A test artifact that has been included in the gem was being flagged by some users' security scanners because it wasn't a real tarball. That artifact has been updated to be a real tarball. [#108]
  [#]## 2.7.0 / 2021-08-31
  [#]## Added
  The commands used for "make", "compile", and "cmake" are configurable via keyword arguments. [#107] (Thanks, @cosmo0920!)
* Tue Jun  1 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.6.1
  [#]### Dependencies
  Make `net-ftp` an optional dependency, since requiring it as a hard dependency in v2.5.2 caused warnings
  to be emitted by Ruby 2.7 and earlier. A warning message is emitted if FTP functionality is called and
  `net-ftp` isn't available; this should only happen in Ruby 3.1 and later.
* Fri May 14 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 2.5.1
  [#]### Dependencies
  This release ends support for ruby < 2.3.0. If you're on 2.2.x or earlier,
  we strongly suggest that you find the time to upgrade, because [official
  support for Ruby 2.2 ended on 2018-03-31](https://www.ruby-lang.org/en/news/2018/06/20/support-of-ruby-2-2-has-ended/).
  [#]### Enhancements
  * `MiniPortile.execute` now takes an optional `:env` hash, which is merged
    into the environment variables for the subprocess. Likely this is only useful for specialized use cases. [#99]
  * Experimental support for cmake-based projects extended to Windows. (Thanks, @larskanis!)
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.5.0
  see installed CHANGELOG.md
  [#]## 2.5.0 / 2020-02-24
  [#]### Enhancements
  * When verifying GPG signatures, remove all imported pubkeys from keyring [#90] (Thanks, @hanazuki!)
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.4.0
  see installed CHANGELOG.md
* Sun Sep 17 2017 coolo@suse.com
- updated to version 2.3.0
  see installed CHANGELOG.md
  [#]## 2.2.1 / 2017-09-13
  [#]### Enhancements
  * Verify checksums of files at extraction time (in addition to at download time). (#56)
  * Clarify error message if a `tar` command can't be found. (#81)
* Tue Jun  6 2017 coolo@suse.com
- updated to version 2.2.0
  see installed CHANGELOG.md
  [#]## 2.2.0 / 2017-06-04
  [#]### Enhancements
  * Remove MD5 hashing of configure options, not avialbale in FIPS mode. (#78)
  * Add experimental support for cmake-based projects.
  * Retry on HTTP failures during downloads. [#63] (Thanks, @jtarchie and @jvshahid!)
  * Support Ruby 2.4 frozen string literals.
  * Support applying patches for users with misconfigured git worktree. [#69]
  * Support gpg signature verification of download resources.
* Thu Jan 21 2016 coolo@suse.com
- updated to version 2.1.0
  see installed CHANGELOG.md
  [#]## 2.1.0 / 2016-01-06
  [#]### Enhancements
  * Add support for `file:` protocol for tarballs
  [#]### Bugfixes
  * Raise exception on unsupported URI protocols
  * Ignore git whitespace config when patching (Thanks, @e2!) (#67)
* Fri Dec  4 2015 coolo@suse.com
- updated to version 2.0.0
  see installed CHANGELOG.md
* Fri Dec  4 2015 mrueckert@suse.de
- downgrade to rc2 again. for rpm 2.0.0.rc2 > 2.0.0. for rubygems
  it is the other way around.
* Wed Dec  2 2015 mrueckert@suse.de
- initial package
